Skip to main content
GET
/
api
/
v1
/
openclaw
/
tiktok
/
video
Video Info
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/tiktok/video \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
TikTok video URL (e.g., https://www.tiktok.com/@randomspamvideos25/video/7251387037834595630)
get_transcript
boolean
Get transcript of the video
region
string
Region of the proxy. Sometimes you’ll need to specify the region if you’re not getting a response. Commonly for videos from the Phillipines, in which case you’d use ‘PH’. Use 2 letter country codes like US, GB, FR, etc (e.g., US)
trim
boolean
Set to true to get a trimmed response

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/tiktok/video?url=https://www.tiktok.com/@randomspamvideos25/video/7251387037834595630" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "aweme_detail": {
      "desc": "...",
      "statistics": {
        "digg_count": 123,
        "comment_count": 45,
        "play_count": 67890
      },
      "video": {
        "download_no_watermark_addr": {
          "url_list": [
            "..."
          ]
        },
        "play_addr": {
          "url_list": [
            "..."
          ]
        }
      },
      "author": {
        "nickname": "...",
        "unique_id": "...",
        "uid": "..."
      }
    }
  },
  "meta": {
    "platform": "tiktok",
    "endpoint": "video",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.